CVE-2002-2385
CVSS7.5
发布时间 :2002-12-31 00:00:00
修订时间 :2008-09-05 16:33:05
NMCOE    

[原文]Buffer overflow in hotfoon4.exe in Hotfoon 4.0 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a URL containing a long voice phone number.


[CNNVD]Hotfoon Dialer远程缓冲区溢出漏洞(CNNVD-200212-250)

        
        Hotfoon.com是PC到电话,PC到PC电话,即时信息聊天服务的提供商。使用客户端程序hotfoon4.exe来访问服务,其中包括dialer拨号。
        hotfoon4.exe对要拨的电话号码字段缺少正确的边界检查,远程攻击者可以利用这个漏洞进行缓冲区溢出攻击。
        hotfoon4.exe程序包含电话号码输入字段,但对这个字段的输入没有进行正确的缓冲区边界检查,输入过多号码可以导致发生缓冲区溢出。此溢出可以远程利用,因此拨号程序定义了名为"Voice"的URL协议,并在系统中已注册。如URL "voice:23456"会启动hotfoon4.exe并拨"23456"的电话号码。因此,远程攻击者提交"Voice:......"可以使程序崩溃,可能导致以hotfoon4.exe进程的权限在系统中执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-119 [内存缓冲区边界内操作的限制不恰当]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-2385
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-2385
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200212-250
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/6156
(UNKNOWN)  BID  6156
http://www.iss.net/security_center/static/10593.php
(UNKNOWN)  XF  hotfoon-phone-number-bo(10593)
http://archives.neohapsis.com/archives/bugtraq/2002-11/0115.html
(UNKNOWN)  BUGTRAQ  20021110 Multiple Vuln. in Hotfoon.com

- 漏洞信息

Hotfoon Dialer远程缓冲区溢出漏洞
高危 边界条件错误
2002-12-31 00:00:00 2002-12-31 00:00:00
远程  
        
        Hotfoon.com是PC到电话,PC到PC电话,即时信息聊天服务的提供商。使用客户端程序hotfoon4.exe来访问服务,其中包括dialer拨号。
        hotfoon4.exe对要拨的电话号码字段缺少正确的边界检查,远程攻击者可以利用这个漏洞进行缓冲区溢出攻击。
        hotfoon4.exe程序包含电话号码输入字段,但对这个字段的输入没有进行正确的缓冲区边界检查,输入过多号码可以导致发生缓冲区溢出。此溢出可以远程利用,因此拨号程序定义了名为"Voice"的URL协议,并在系统中已注册。如URL "voice:23456"会启动hotfoon4.exe并拨"23456"的电话号码。因此,远程攻击者提交"Voice:......"可以使程序崩溃,可能导致以hotfoon4.exe进程的权限在系统中执行任意指令。
        

- 公告与补丁

        厂商补丁:
        Hotfoon
        -------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.hotfoon.com

- 漏洞信息 (22010)

Hotfoon Dialer 4.0 Buffer Overflow Vulnerability (EDBID:22010)
multiple dos
2002-11-11 Verified
0 S G Masood
N/A [点击下载]
source: http://www.securityfocus.com/bid/6156/info

A buffer overflow vulnerability has been reported for the Hotfoon dialer. The vulnerability exists in a text input field for dialing telephone numbers. Reportedly, Hotfoon4.exe does not adequately perform boundary checks on this field.

It is possible to crash the service and execute code.

Voice:aaaaaa.........76 a's 		

- 漏洞信息

60162
Hotfoon hotfoon4.exe voice: URI Remote Overflow
Remote / Network Access, Context Dependent Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-11-10 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站